    001    /* ===========================================================
    002     * JFreeChart : a free chart library for the Java(tm) platform
    003     * ===========================================================
    004     *
    005     * (C) Copyright 2000-2005, by Object Refinery Limited and Contributors.
    006     *
    007     * Project Info:  http://www.jfree.org/jfreechart/index.html
    008     *
    009     * This library is free software; you can redistribute it and/or modify it
    010     * under the terms of the GNU Lesser General Public License as published by
    011     * the Free Software Foundation; either version 2.1 of the License, or
    012     * (at your option) any later version.
    013     *
    014     * This library is distributed in the hope that it will be useful, but
    015     * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016     * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017     * License for more details.
    018     *
    019     * You should have received a copy of the GNU Lesser General Public
    020     * License along with this library; if not, write to the Free Software
    021     * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022     * USA.
    023     *
    024     * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
    025     * in the United States and other countries.]
    026     *
    027     * ---------------
    028     * DomainInfo.java
    029     * ---------------
    030     * (C) Copyright 2000-2005, by Object Refinery Limited.
    031     *
    032     * Original Author:  David Gilbert (for Object Refinery Limited);
    033     * Contributor(s):   -;
    034     *
    035     * $Id: DomainInfo.java,v 1.6.2.1 2005/10/25 21:29:13 mungady Exp $
    036     *
    037     * Changes (from 18-Sep-2001)
    038     * --------------------------
    039     * 18-Sep-2001 : Added standard header and fixed DOS encoding problem (DG);
    040     * 15-Nov-2001 : Moved to package com.jrefinery.data.* (DG);
    041     *               Updated Javadoc comments (DG);
    042     * 22-Apr-2002 : Added getValueRange() method (DG);
    043     * 12-Jul-2002 : Renamed getValueRange() --> getDomainRange() (DG);
    044     * 06-Oct-2004 : Renamed getDomainRange() --> getDomainBounds() (DG);
    045     * 17-Nov-2004 : Added 'includeInterval' argument to all methods (DG);
    046     * 11-Jan-2005 : Removed deprecated code in preparation for the 1.0.0
    047     *               release (DG);
    048     *
    049     */
    050
    051    package org.jfree.data;
    052
    053    /**
    054     * An interface (optional) that can be implemented by a dataset to assist in
    055     * determining the minimum and maximum values.
    056     */
    057    public interface DomainInfo {
    058
    059        /**
    060         * Returns the minimum x-value in the dataset.
    061         *
    062         * @param includeInterval  a flag that determines whether or not the
    063         *                         x-interval is taken into account.
    064         *
    065         * @return The minimum value.
    066         */
    067        public double getDomainLowerBound(boolean includeInterval);
    068
    069        /**
    070         * Returns the maximum x-value in the dataset.
    071         *
    072         * @param includeInterval  a flag that determines whether or not the
    073         *                         x-interval is taken into account.
    074         *
    075         * @return The maximum value.
    076         */
    077        public double getDomainUpperBound(boolean includeInterval);
    078
    079        /**
    080         * Returns the range of the values in this dataset's domain.
    081         *
    082         * @param includeInterval  a flag that determines whether or not the
    083         *                         x-interval is taken into account.
    084         *
    085         * @return The range.
    086         */
    087        public Range getDomainBounds(boolean includeInterval);
    088
    089    }